summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-fonts')
-rw-r--r--media-fonts/ahem/ahem-1.0.ebuild2
-rw-r--r--media-fonts/arabeyes-fonts/arabeyes-fonts-2.0-r1.ebuild2
-rw-r--r--media-fonts/cascadia-code/Manifest1
-rw-r--r--media-fonts/cascadia-code/cascadia-code-2105.24.ebuild19
-rw-r--r--media-fonts/clearsans/clearsans-1.00.ebuild2
-rw-r--r--media-fonts/croscorefonts/croscorefonts-1.31.0.ebuild2
-rw-r--r--media-fonts/dejavu/dejavu-2.37.ebuild2
-rw-r--r--media-fonts/fantasque-sans-mono/fantasque-sans-mono-1.8.0.ebuild2
-rw-r--r--media-fonts/font-cursor-misc/font-cursor-misc-1.0.3-r2.ebuild2
-rw-r--r--media-fonts/iosevka/Manifest1
-rw-r--r--media-fonts/iosevka/iosevka-6.1.3.ebuild20
-rw-r--r--media-fonts/iosevka/metadata.xml15
-rw-r--r--media-fonts/jetbrains-mono/jetbrains-mono-2.225.ebuild2
-rw-r--r--media-fonts/joypixels/Manifest1
-rw-r--r--media-fonts/joypixels/files/99-joypixels.conf24
-rw-r--r--media-fonts/joypixels/joypixels-6.5.0.ebuild38
-rw-r--r--media-fonts/joypixels/metadata.xml12
-rw-r--r--media-fonts/roboto/roboto-2.138.ebuild2
-rw-r--r--media-fonts/stix-fonts/stix-fonts-2.11.ebuild2
-rw-r--r--media-fonts/terminus-font/Manifest1
-rw-r--r--media-fonts/terminus-font/terminus-font-4.49.1.ebuild94
-rw-r--r--media-fonts/terminus-font/terminus-font-4.49.ebuild4
-rw-r--r--media-fonts/ubuntu-font-family/ubuntu-font-family-0.83-r1.ebuild2
-rw-r--r--media-fonts/unifont/unifont-13.0.01-r1.ebuild (renamed from media-fonts/unifont/unifont-13.0.01.ebuild)6
-rw-r--r--media-fonts/wqy-microhei/wqy-microhei-0.2.0_beta-r1.ebuild2
25 files changed, 239 insertions, 21 deletions
diff --git a/media-fonts/ahem/ahem-1.0.ebuild b/media-fonts/ahem/ahem-1.0.ebuild
index a896e7c135b..79a4a56ef7a 100644
--- a/media-fonts/ahem/ahem-1.0.ebuild
+++ b/media-fonts/ahem/ahem-1.0.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/${P/a/A}"
LICENSE="CC0-1.0"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~ppc64 ~x86"
IUSE=""
FONT_SUFFIX="ttf"
diff --git a/media-fonts/arabeyes-fonts/arabeyes-fonts-2.0-r1.ebuild b/media-fonts/arabeyes-fonts/arabeyes-fonts-2.0-r1.ebuild
index 5791ca8f0da..4a29ad22c05 100644
--- a/media-fonts/arabeyes-fonts/arabeyes-fonts-2.0-r1.ebuild
+++ b/media-fonts/arabeyes-fonts/arabeyes-fonts-2.0-r1.ebuild
@@ -13,7 +13,7 @@ S="${WORKDIR}/${MY_PN}_${PV}"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 arm ~ia64 ppc ~s390 sparc x86"
+KEYWORDS="amd64 arm ~ia64 ppc ~ppc64 ~s390 sparc x86"
DOCS=( README ChangeLog )
diff --git a/media-fonts/cascadia-code/Manifest b/media-fonts/cascadia-code/Manifest
index c4695b04e27..5b3798de134 100644
--- a/media-fonts/cascadia-code/Manifest
+++ b/media-fonts/cascadia-code/Manifest
@@ -1 +1,2 @@
DIST cascadia-code-2102.25.zip 8666729 BLAKE2B 86e11e003fcad686f0ad9ee38af488447fd0a6c95b0f9a89e945ca173c44385af0090a50e26b355ea8019c7e33ca45edcdfa7cfddcc0734fe224c96c8d941acf SHA512 4b0b1168bf3f1adbff362ed2d7fa1f548643e5c9506866e12dc26aefb8e807b7515e0c49705f03faf1a44c037d414ba3ab3f2189d29491711d6e802035914002
+DIST cascadia-code-2105.24.zip 18708244 BLAKE2B e9055e55642a7f5b43364f0cd1d800ebb3bebb8bc1f2e726d2e200b211fb495560754ce0d54e5579a98b8f067b372709dad4d391ca6602ee917c2597adb82c42 SHA512 22d317a41d491945210f0d6051c136264d0dda2eab24bc92b1034d10703b1fe462b0dd667ff56637fdb222cc1fbd78ecc7cadc022e7f03c5ea59b4b67d2c59da
diff --git a/media-fonts/cascadia-code/cascadia-code-2105.24.ebuild b/media-fonts/cascadia-code/cascadia-code-2105.24.ebuild
new file mode 100644
index 00000000000..3726a28cc6c
--- /dev/null
+++ b/media-fonts/cascadia-code/cascadia-code-2105.24.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit font
+
+DESCRIPTION="A monospaced font developed for Windows Terminal"
+HOMEPAGE="https://github.com/microsoft/cascadia-code"
+SRC_URI="https://github.com/microsoft/cascadia-code/releases/download/v${PV}/CascadiaCode-${PV}.zip -> ${P}.zip"
+
+LICENSE="OFL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+BDEPEND="app-arch/unzip"
+
+S="${WORKDIR}/ttf"
+FONT_SUFFIX="ttf"
diff --git a/media-fonts/clearsans/clearsans-1.00.ebuild b/media-fonts/clearsans/clearsans-1.00.ebuild
index dcf5264b489..276b5cd5b26 100644
--- a/media-fonts/clearsans/clearsans-1.00.ebuild
+++ b/media-fonts/clearsans/clearsans-1.00.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 x86"
+KEYWORDS="amd64 ~ppc64 x86"
IUSE=""
RESTRICT="binchecks strip"
diff --git a/media-fonts/croscorefonts/croscorefonts-1.31.0.ebuild b/media-fonts/croscorefonts/croscorefonts-1.31.0.ebuild
index a0689b4926c..97d4bbed485 100644
--- a/media-fonts/croscorefonts/croscorefonts-1.31.0.ebuild
+++ b/media-fonts/croscorefonts/croscorefonts-1.31.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://commondatastorage.googleapis.com/chromeos-localmirror/distfiles
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 arm arm64 x86"
+KEYWORDS="amd64 arm arm64 ~ppc64 x86"
RESTRICT="binchecks strip test"
diff --git a/media-fonts/dejavu/dejavu-2.37.ebuild b/media-fonts/dejavu/dejavu-2.37.ebuild
index 17d2bac9cd9..3ed26ced409 100644
--- a/media-fonts/dejavu/dejavu-2.37.ebuild
+++ b/media-fonts/dejavu/dejavu-2.37.ebuild
@@ -26,7 +26,7 @@ fi
LICENSE="BitstreamVera"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
IUSE="fontforge"
BDEPEND="
diff --git a/media-fonts/fantasque-sans-mono/fantasque-sans-mono-1.8.0.ebuild b/media-fonts/fantasque-sans-mono/fantasque-sans-mono-1.8.0.ebuild
index 911704fdf35..4e984dcff52 100644
--- a/media-fonts/fantasque-sans-mono/fantasque-sans-mono-1.8.0.ebuild
+++ b/media-fonts/fantasque-sans-mono/fantasque-sans-mono-1.8.0.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}"
LICENSE="OFL-1.1"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+KEYWORDS="amd64 arm arm64 x86"
FONT_S="${S}/OTF"
FONT_SUFFIX="otf"
diff --git a/media-fonts/font-cursor-misc/font-cursor-misc-1.0.3-r2.ebuild b/media-fonts/font-cursor-misc/font-cursor-misc-1.0.3-r2.ebuild
index fd023b1399d..9f732511242 100644
--- a/media-fonts/font-cursor-misc/font-cursor-misc-1.0.3-r2.ebuild
+++ b/media-fonts/font-cursor-misc/font-cursor-misc-1.0.3-r2.ebuild
@@ -6,4 +6,4 @@ inherit xorg-3
DESCRIPTION="X.Org cursor font"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x86-linux"
diff --git a/media-fonts/iosevka/Manifest b/media-fonts/iosevka/Manifest
index 7f8f0c730fe..c28edc30dff 100644
--- a/media-fonts/iosevka/Manifest
+++ b/media-fonts/iosevka/Manifest
@@ -1,2 +1,3 @@
DIST 01-iosevka-1.14.1.zip 9725331 BLAKE2B 58f0e51ba06d27eab18336effbe825c7c7bc88f24eb457be49746f8d3b1591f2cfafb8c2a7c9b56a7528edb207cbee6741dbe394b82331c6207a4dc6886cb388 SHA512 7e1dee79d78b1bc36ff2f55140a3538802dafc22677193e0657a6649ca55d5b1de868de86ba26d9458a3afe481298356dcf641afa72ecea2d69adb6382a5fd58
DIST 02-iosevka-term-1.14.1.zip 9672957 BLAKE2B b03751969722919b4c4172b066f372f334f45f38636cff8cba764a5c30d906ab000887c290b4583f418307c2efea7c3650f5557d535b1e7c26c2078ee29ebcb6 SHA512 6b17960b960365a81ba78a68b6ad04c6146f51855f0f6abc288c12d8dd50669fe245f94aa135b032df14d0ec7bc6b291aef1c8a86ccbf948b8e5678862febe34
+DIST super-ttc-iosevka-6.1.3.zip 49284897 BLAKE2B e39a99b7969f3a8871328a61581ecbb01fba4bcd114075d11a9b0e0be958fef00c14ac18ffc4da46849f23ebbd54f9cf96969609d69e3f5eaeed94bc632b26f0 SHA512 54be6b4f5b1d3a56a9eb3fc9791cd91d53c5f02344f7dd1eccefc4e8036fc59b564af7673afe131598d949350c865f0d809052b3a34e14f2519f760aa36f3edb
diff --git a/media-fonts/iosevka/iosevka-6.1.3.ebuild b/media-fonts/iosevka/iosevka-6.1.3.ebuild
new file mode 100644
index 00000000000..e7aa8506d28
--- /dev/null
+++ b/media-fonts/iosevka/iosevka-6.1.3.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit font
+
+DESCRIPTION="Slender typeface for code, from code"
+HOMEPAGE="https://be5invis.github.io/Iosevka/"
+SRC_URI="https://github.com/be5invis/Iosevka/releases/download/v${PV}/super-ttc-${P}.zip"
+
+LICENSE="OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+DEPEND="app-arch/unzip"
+
+S="${WORKDIR}"
+FONT_S="${S}"
+FONT_SUFFIX="ttc"
diff --git a/media-fonts/iosevka/metadata.xml b/media-fonts/iosevka/metadata.xml
index 953797c6c73..fdeafb3f25c 100644
--- a/media-fonts/iosevka/metadata.xml
+++ b/media-fonts/iosevka/metadata.xml
@@ -1,8 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
- <upstream>
- <remote-id type="github">b5invis/iosevka</remote-id>
- </upstream>
+ <maintainer type="person" proxied="yes">
+ <email>gentoo@aisha.cc</email>
+ <name>Aisha Tammy</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">b5invis/iosevka</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/media-fonts/jetbrains-mono/jetbrains-mono-2.225.ebuild b/media-fonts/jetbrains-mono/jetbrains-mono-2.225.ebuild
index 2c294a87a4a..6a4cb7fa1ee 100644
--- a/media-fonts/jetbrains-mono/jetbrains-mono-2.225.ebuild
+++ b/media-fonts/jetbrains-mono/jetbrains-mono-2.225.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/JetBrains/JetBrainsMono/releases/download/v${PV}/Jet
LICENSE="OFL-1.1"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
BDEPEND="app-arch/unzip"
diff --git a/media-fonts/joypixels/Manifest b/media-fonts/joypixels/Manifest
new file mode 100644
index 00000000000..754f5c20f7e
--- /dev/null
+++ b/media-fonts/joypixels/Manifest
@@ -0,0 +1 @@
+DIST joypixels-6.5.0.ttf 25348564 BLAKE2B 4e38a3bb04f71292ba9003b52d050c04afe96eac5b99073560a6e39c781ad895102812093f4aa3b64670ff2907060e8ca1cfebbf00a22abc68315a1691713cc5 SHA512 abe44c631e5b1e7f7a2c59ae979beb381bbf10c04a157f67ca022cff5ee4c5162e3108b34fe55d4165f4b5e062755387f421363fa8ca8d600d5a005a534b0f4f
diff --git a/media-fonts/joypixels/files/99-joypixels.conf b/media-fonts/joypixels/files/99-joypixels.conf
new file mode 100644
index 00000000000..5495252052b
--- /dev/null
+++ b/media-fonts/joypixels/files/99-joypixels.conf
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+ <its:rules xmlns:its="http://www.w3.org/2005/11/its" version="1.0">
+ <its:translateRule translate="no" selector="/fontconfig/*[not(self::description)]"/>
+ </its:rules>
+ <description>Recognize legacy ways of writing JoyPixels family name</description>
+ <match target="pattern">
+ <test qual="any" name="family"><string>EmojiOne</string></test>
+ <edit name="family" mode="assign" binding="same"><string>JoyPixels</string></edit>
+ </match>
+ <match target="pattern">
+ <test qual="any" name="family"><string>Emoji One</string></test>
+ <edit name="family" mode="assign" binding="same"><string>JoyPixels</string></edit>
+ </match>
+ <match target="pattern">
+ <test qual="any" name="family"><string>EmojiOne Color</string></test>
+ <edit name="family" mode="assign" binding="same"><string>JoyPixels</string></edit>
+ </match>
+ <match target="pattern">
+ <test qual="any" name="family"><string>EmojiOne Mozilla</string></test>
+ <edit name="family" mode="assign" binding="same"><string>JoyPixels</string></edit>
+ </match>
+</fontconfig>
diff --git a/media-fonts/joypixels/joypixels-6.5.0.ebuild b/media-fonts/joypixels/joypixels-6.5.0.ebuild
new file mode 100644
index 00000000000..6c5b197d6a2
--- /dev/null
+++ b/media-fonts/joypixels/joypixels-6.5.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+FONT_SUFFIX="ttf"
+inherit font readme.gentoo-r1
+
+DESCRIPTION="A font for better emoji and unicode support"
+HOMEPAGE="https://www.joypixels.com/"
+SRC_URI="https://cdn.joypixels.com/distributions/gentoo-linux/font/${PV}/joypixels-android.ttf -> ${P}.ttf"
+S="${WORKDIR}"
+
+#https://cdn.joypixels.com/distributions/gentoo-linux/appendix/joypixels-license-appendix.txt
+#https://cdn.joypixels.com/distributions/gentoo-linux/license/free-license.txt
+LICENSE="JoyPixels"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+RESTRICT="bindist mirror"
+
+FONT_CONF=( "${FILESDIR}"/99-joypixels.conf )
+
+DOC_CONTENTS="Free for personal/education use only, premium/enterprise license
+ required for any other use. See: https://www.joypixels.com/licenses"
+
+src_prepare() {
+ default
+ cp "${DISTDIR}"/${P}.ttf "${S}"/${P}.ttf || die
+}
+
+src_install() {
+ font_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}
diff --git a/media-fonts/joypixels/metadata.xml b/media-fonts/joypixels/metadata.xml
new file mode 100644
index 00000000000..d155fdbc040
--- /dev/null
+++ b/media-fonts/joypixels/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gentoo@aisha.cc</email>
+ <name>Aisha Tammy</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/media-fonts/roboto/roboto-2.138.ebuild b/media-fonts/roboto/roboto-2.138.ebuild
index ec3c6d3efcb..efb98a04c0a 100644
--- a/media-fonts/roboto/roboto-2.138.ebuild
+++ b/media-fonts/roboto/roboto-2.138.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 x86 ~amd64-linux ~x86-linux ~x64-macos"
BDEPEND="app-arch/unzip"
diff --git a/media-fonts/stix-fonts/stix-fonts-2.11.ebuild b/media-fonts/stix-fonts/stix-fonts-2.11.ebuild
index 3955c4a4081..f3657945f89 100644
--- a/media-fonts/stix-fonts/stix-fonts-2.11.ebuild
+++ b/media-fonts/stix-fonts/stix-fonts-2.11.ebuild
@@ -17,7 +17,7 @@ S="${WORKDIR}/static_otf"
LICENSE="OFL-1.1"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
IUSE=""
RESTRICT="binchecks strip test"
diff --git a/media-fonts/terminus-font/Manifest b/media-fonts/terminus-font/Manifest
index 1e735ed04a4..3530f1154bb 100644
--- a/media-fonts/terminus-font/Manifest
+++ b/media-fonts/terminus-font/Manifest
@@ -1 +1,2 @@
+DIST terminus-font-4.49.1.tar.gz 648345 BLAKE2B 8c2edff7e57572361cf9a4907a165f8af69cbd5a3ae15817d02d43ab5134278ab64b269e6bd8c79d2107e5c8c51b58f07ab45c308891464cbc8e3e15767efadb SHA512 2e3a99960c459a453b5879bebbebeb653f0a22060177bf75c67bbeb7d32cfe1acce9e74a88fdc42e299b6dc402e0708552487abd26e80e985c7d6059b0d445a8
DIST terminus-font-4.49.tar.gz 648477 BLAKE2B 67bddaae88b7411381bce5e8fe5c1b0dab334a33f1371a33038556beffa779afec8706f27b156e5660bfab5b8b7aeda75267c68945e1be3b41dbea7e9345f164 SHA512 27d396e7fe399728b5e9228c901922588eab0b344ea438fcf98f18f80ce816d838a42d5a3da0b5644d895747bcbda0e30bb8dabf342c0439d1f6b51f7acf8496
diff --git a/media-fonts/terminus-font/terminus-font-4.49.1.ebuild b/media-fonts/terminus-font/terminus-font-4.49.1.ebuild
new file mode 100644
index 00000000000..04fed52ebae
--- /dev/null
+++ b/media-fonts/terminus-font/terminus-font-4.49.1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit font python-any-r1
+
+DESCRIPTION="A clean fixed font for the console and X11"
+HOMEPAGE="http://terminus-font.sourceforge.net/"
+SRC_URI="mirror://sourceforge/project/${PN}/${PN}-$(ver_cut 1-2)/${P}.tar.gz"
+
+LICENSE="OFL-1.1 GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="a-like-o +center-tilde distinct-l +otf +pcf +pcf-unicode-only +psf quote
+ ru-dv +ru-g ru-i ru-k"
+
+DEPEND="app-arch/gzip
+ ${PYTHON_DEPS}
+ virtual/awk
+ pcf? ( x11-apps/bdftopcf )"
+RDEPEND=""
+
+FONTDIR=/usr/share/fonts/terminus
+FONT_CONF=( 75-yes-terminus.conf )
+DOCS=( README README-BG AUTHORS CHANGES )
+
+REQUIRED_USE="X? ( pcf )"
+
+pkg_setup() {
+ python_setup
+}
+
+src_prepare() {
+ default
+
+ # Upstream patches. Some of them are suggested to be applied by default
+ # dv - de NOT like latin g, but like caps greek delta
+ # ve NOT like greek beta, but like caps latin B
+ # ge - ge NOT like "mirrored" latin s, but like caps greek gamma
+ # ka - small ka NOT like minimised caps latin K, but like small latin k
+ use a-like-o && eapply "${S}"/alt/ao2.diff
+ use center-tilde && eapply "${S}"/alt/td1.diff
+ use distinct-l && eapply "${S}"/alt/ll2.diff
+ use ru-i && eapply "${S}"/alt/ij1.diff
+ use ru-k && eapply "${S}"/alt/ka2.diff
+ use ru-dv && eapply "${S}"/alt/dv1.diff
+ use ru-g && eapply "${S}"/alt/ge2.diff
+ use quote && eapply "${S}"/alt/gq2.diff
+}
+
+src_configure() {
+ local configure_args=(
+ --prefix="${EPREFIX}"/usr
+ --psfdir="${EPREFIX}"/usr/share/consolefonts
+ --x11dir="${EPREFIX}"/${FONTDIR}
+ )
+ # selfwritten configure script
+ ./configure "${configure_args[@]}" || die
+}
+
+src_compile() {
+ local args=(
+ $(usex psf 'psf psf-vgaw' '')
+ $(usex pcf 'pcf pcf-8bit' '')
+ $(usex otf otb '')
+ )
+ [[ ${#args[@]} -gt 0 ]] && emake "${args[@]}"
+}
+
+src_install() {
+ local args=(
+ $(usex psf 'install-psf install-psf-vgaw install-psf-ref' '')
+ $(usex pcf 'install-pcf' '')
+ $(usex otf 'install-otb' '')
+ )
+ # Set the CHECKDIR to a dummy location so we always get the same set of
+ # files installed regardless of what is in / or ROOT or wherever.
+ [[ ${#args[@]} -gt 0 ]] && emake DESTDIR="${D}" CHECKDIR="${D}" "${args[@]}"
+
+ # Remove trans files that the kbd package takes care of installing.
+ rm -f "${ED}"/usr/share/consoletrans/*.trans
+
+ if use pcf-unicode-only; then
+ # Only the ter-x* fonts are unicode (ISO-10646-1) based
+ rm -f "${ED}"/usr/share/fonts/terminus/ter-[0-9a-wy-z]* || die
+ fi
+
+ use otf && FONT_SUFFIX=otb
+ font_src_install
+
+ einstalldocs
+}
diff --git a/media-fonts/terminus-font/terminus-font-4.49.ebuild b/media-fonts/terminus-font/terminus-font-4.49.ebuild
index 67120305900..7f8326f79ed 100644
--- a/media-fonts/terminus-font/terminus-font-4.49.ebuild
+++ b/media-fonts/terminus-font/terminus-font-4.49.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{7,8,9,10} )
inherit font python-any-r1
DESCRIPTION="A clean fixed font for the console and X11"
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}/${P}.tar.gz"
LICENSE="OFL-1.1 GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
-IUSE="a-like-o +center-tilde distinct-l otf +pcf +pcf-unicode-only +psf quote
+IUSE="a-like-o +center-tilde distinct-l +otf +pcf +pcf-unicode-only +psf quote
ru-dv +ru-g ru-i ru-k"
DEPEND="app-arch/gzip
diff --git a/media-fonts/ubuntu-font-family/ubuntu-font-family-0.83-r1.ebuild b/media-fonts/ubuntu-font-family/ubuntu-font-family-0.83-r1.ebuild
index 768b2dd001d..0f1820dfbe9 100644
--- a/media-fonts/ubuntu-font-family/ubuntu-font-family-0.83-r1.ebuild
+++ b/media-fonts/ubuntu-font-family/ubuntu-font-family-0.83-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://assets.ubuntu.com/v1/fad7939b-${P}.zip -> ${P}.zip"
LICENSE="UbuntuFontLicense-1.0"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
IUSE=""
BDEPEND="app-arch/unzip"
diff --git a/media-fonts/unifont/unifont-13.0.01.ebuild b/media-fonts/unifont/unifont-13.0.01-r1.ebuild
index a2f259b297c..f901c28842c 100644
--- a/media-fonts/unifont/unifont-13.0.01.ebuild
+++ b/media-fonts/unifont/unifont-13.0.01-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2003-2020 Gentoo Authors
+# Copyright 2003-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -18,7 +18,7 @@ BDEPEND="
fontforge? (
app-text/bdf2psf
dev-lang/perl
- dev-perl/GD[png(-)]
+ dev-perl/GD[png(+)]
media-gfx/fontforge
x11-apps/bdftopcf
)
@@ -26,7 +26,7 @@ BDEPEND="
RDEPEND="
utils? (
dev-lang/perl
- dev-perl/GD[png(-)]
+ dev-perl/GD[png(+)]
)
"
diff --git a/media-fonts/wqy-microhei/wqy-microhei-0.2.0_beta-r1.ebuild b/media-fonts/wqy-microhei/wqy-microhei-0.2.0_beta-r1.ebuild
index a19277df809..3e002c900d3 100644
--- a/media-fonts/wqy-microhei/wqy-microhei-0.2.0_beta-r1.ebuild
+++ b/media-fonts/wqy-microhei/wqy-microhei-0.2.0_beta-r1.ebuild
@@ -13,7 +13,7 @@ S="${WORKDIR}/${PN}"
LICENSE="Apache-2.0 GPL-3"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ~ppc ~ppc64 x86"
+KEYWORDS="amd64 ~arm64 ~ppc ppc64 x86"
IUSE=""
# Only installs fonts